from wagtail.admin.viewsets.chooser import ChooserViewSet


class ContactEntityChooserViewSet(ChooserViewSet):
    model = "contacts.ContactEntity"
    icon = "mail"
    per_page = 30
    page_title = "Choose contact points"
    choose_one_text = "Choose a contact point"
    choose_another_text = "Choose another contact point"
    edit_item_text = "Edit this contact point"
    form_fields = ["name", "contact_type", "title", "email", "phone_number", "image"]


contact_entity_chooser_viewset = ContactEntityChooserViewSet("contact_entity_chooser")
